Loading...
Searching...
No Matches
IndexBase::Reference Class Reference
Collaboration diagram for IndexBase::Reference:
[legend]

## Public Member Functions

void | reset ()

## Public Attributes

int32_t | n_bin
int32_t | n_intv
std::vector< Bin > | bins
uint64_t * | ioffsets
uint64_t | minChunkOffset
uint64_t | maxChunkOffset
int32_t | n_mapped
int32_t | n_unmapped

## Static Public Attributes

static const int32_t | UNKNOWN_MAP_INFO = -1
static const uint64_t | UNSET_MIN_CHUNK_OFFSET = 0xFFFFFFFFFFFFFFFFULL

## Detailed Description

Definition at line 118 of file IndexBase.h.

## Constructor & Destructor Documentation

## Reference()

IndexBase::Reference::Reference | ( |  | ) |

inline

Definition at line 124 of file IndexBase.h.

{ioffsets = NULL; reset();}

## ~Reference()

IndexBase::Reference::~Reference | ( |  | ) |

inline

Definition at line 125 of file IndexBase.h.

{reset();}

## Member Function Documentation

## reset()

void IndexBase::Reference::reset | ( |  | ) |

inline

Definition at line 126 of file IndexBase.h.

{
bins.clear();
if(ioffsets != NULL)
{
free(ioffsets);
ioffsets = NULL;
}
n_bin = 0;
n_intv = 0;
minChunkOffset = UNSET_MIN_CHUNK_OFFSET;
maxChunkOffset = 0;
n_mapped = UNKNOWN_MAP_INFO;
n_unmapped = UNKNOWN_MAP_INFO;
}

## Member Data Documentation

## bins

std::vector<Bin> IndexBase::Reference::bins

Definition at line 143 of file IndexBase.h.

## ioffsets

uint64_t* IndexBase::Reference::ioffsets

Definition at line 144 of file IndexBase.h.

## maxChunkOffset

uint64_t IndexBase::Reference::maxChunkOffset

Definition at line 146 of file IndexBase.h.

## minChunkOffset

uint64_t IndexBase::Reference::minChunkOffset

Definition at line 145 of file IndexBase.h.

## n_bin

int32_t IndexBase::Reference::n_bin

Definition at line 141 of file IndexBase.h.

## n_intv

int32_t IndexBase::Reference::n_intv

Definition at line 142 of file IndexBase.h.

## n_mapped

int32_t IndexBase::Reference::n_mapped

Definition at line 147 of file IndexBase.h.

## n_unmapped

int32_t IndexBase::Reference::n_unmapped

Definition at line 148 of file IndexBase.h.

## UNKNOWN_MAP_INFO

const int32_t IndexBase::Reference::UNKNOWN_MAP_INFO = -1

static

Definition at line 123 of file IndexBase.h.

## UNSET_MIN_CHUNK_OFFSET

const uint64_t IndexBase::Reference::UNSET_MIN_CHUNK_OFFSET = 0xFFFFFFFFFFFFFFFFULL

static

Definition at line 150 of file IndexBase.h.

The documentation for this class was generated from the following file:

- general/IndexBase.h